# 🤖sidBot | A Discord bot

> _As of 16.02.25 this bot will no longer be maintained as I've decided not to use Discord anymore. It will not be available to add anymore, and won't be maintained._

## 📝 Info

This repo contains both a Python Discord bot and a JavaScript Discord bot. In both their respective folders is a README containing info on them.

The Python version was made during Dec. 2021 - Mar. 2022, while the JavaScript version was a WIP which I started coding around Dec. 2022.

The reason why I moved over to JavaScript is because I read some place that the [discord.py](https://github.com/Rapptz/discord.py) library was getting shut down (it did not lol).

## 🎓 What I learned from the project

- Both syntax of Python and JavaScript, first time I've built a project in both of them
- A bit of the Flask framework
- A bit of node.js and axios
- How to gather information from API's
- How information is structured in the form of JSON
- How a Discord bot works
- The security risk of someone getting your bots token

## 💡 Plans I had for the bot:

- [ ] An auto welcome message for new users on the server
- [ ] !Xquote - Bot sends quotes from breaking bad, star wars etc.
- [ ] !ascii {text} - Bot sends text in ascii-form
- [ ] !rps - Rock-Paper-Scissors game
- [ ] !poll - Bot lets user create a poll with emojis which indicates options
- [ ] !movie - Bot sends a movie recommendation from a movie database
- [ ] !trivia - Bot sends a random trivia question both with and without multiple choice answers
- [ ] !stats - Bot sends a statistic for the discord server, like total servermembers, bots and online members

## 📸 Screenshot
![sidBot_README](https://github.com/SindreKjelsrud/sidBot/assets/93219711/ded84c68-2a9e-4c69-adba-66ded9a15511)
